Subject: Re: bug#24343: 25.1; Emacs startup GTK error if init files contains an error

From: Live System User <[email-masked]>
Date: Thu, 01 Sep 2016 08:57:04 -0400

Michael Albinus <[email-masked]> writes:

Hi Michael,

> Live System User <[email-masked]> writes:
>
>> Hi,
>
> Hi,
>
>> (add-to-list 'tramp-default-proxies-alist
>>              '(nil "\\`root\\'" "/ssh:%h:"))
>>
>>         You will notice that I did not have:
>>
>>               (require 'tramp)
>>
>>         I see Emacs popup with the expected initialization error:
>>
>>         Symbol's value as variable is void: tramp-default-proxies-alist
>
> The Tramp manual says:
>
>    *Note* that some user options and variables described in these
> examples are not auto loaded by Emacs.  All examples require TRAMP is
> installed and loaded:
>
>      (require 'tramp)
>
> See (info "(tramp) Configuration")

     Right.  As specified, I only used that as an example.

     You could substitute this in your .emacs file with:

X

     or

(add-to-list 'NON-EXISTANT-VARIABLE
             '(nil))

     The bug being reported is:

(emacs:23680): Gtk-WARNING **: Allocating size to Emacs 0x1ad02c0
without calling gtk_widget_get_preferred_width/height(). How does the
code know the size to allocate?

     This is presumably a problem with Emacs's interaction with
     GTK creating/manipulating a window or frame.

     Sorry if this was misinterpreted -- I wasn't picking on Tramp!

     Thanks.
>>           Thanks.
> Best regards, Michael.